

#include "BUILTIN.h"
extern OBJ _AString_4(OBJ);extern OBJ __AString_4;
extern OBJ _AString_5(OBJ);extern OBJ __AString_5;

#include "Char.h"
extern OBJ __ASeq_6;

#include "Nat.h"
extern OBJ _AStringMapSeq_2(OBJ,OBJ);OBJ __AStringMapSeq_2; /* * */

extern OBJ _AStringMapSeq_2(register OBJ x1,register OBJ x2) /* * */
{OBJ r;OBJ* p1=&r;
 for(;;){
  if(ISPRM(x2)){
   FRCLS(x1,1);
   *p1=__ASeq_6;
  }else{
   CPCLS(x1,1);
   CPPRD(x2,1);
   {OBJ x14;OBJ x15;OBJ x17;
    x14=_AString_4(x2);
    x15=_AString_5(x2);
    x17=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x15);
    PRD1(2,*p1);FLD1(*p1,1)=x17;
    x2=x14;p1=&FLD1(*p1,2);continue;}}
  break;}
 return r;}

init_AStringMapSeq()
{
 static int visited=0; if(visited) return; visited=1;
 init_AString();
 init_AChar();
 init_ASeq();
 init_ANat();
 init_AOption();
 CLS(2,_AStringMapSeq_2,__AStringMapSeq_2);}

